Subject: Re: .gitlink for Summer of Code

From: Steven Grimm <[email-masked]>
Date: Tue, 27 Mar 2007 11:36:44 -0700

Daniel Barkalow wrote:
> Somebody working on gcc for *BSD would presumably want to get all of gcc 
> and a shallow clone of the other 1000 submodules, right? Or they'd just 
> clone the submodule and ignore the superproject. At least, they'd need 
> shallow clones of a bunch of the submodules, because it's not interesting 
> to have the superproject otherwise.
>   

The obvious use case for "I want the superproject and just one 
submodule" is when the superproject has build tools, header files, or 
other pieces of data that are shared by some/all of the submodules. 
Maybe not the case in BSD per se, but having a top-level file full of 
settings, paths to tools, etc. that gets included by the individual 
Makefiles in subdirectories isn't all that uncommon in complex 
multi-part projects.

-Steve